REPRO(8)

NAME
repro - reproducible builds utility

SYNOPSIS

repro [options] <local-package>

DESCRIPTION

repro is a script to help with verifying and checking reproducibility of packages. It builds a systemd-nspawn(1) container with the Arch Linux bootstrap image to build packages in a clean chroot.

It takes a package as an argument and attempts to recreate the package with the information provided with BUILDINFO(5). It will use the Arch Linux archive to fetch packages with the correct pkgver.

OPTIONS

-h
    Print help.

-d
    When enabled diffoscope(1) is run on the produced packages. DIFFOSCOPE can be set in repro.conf(5) to change the diffoscope command.

-f
    When enabled, repro check for a PKGBUILD file in the current working directory. This one is used to build the package instead of checking out a PKGBUILD from asp.

-n
    When enabled makepkg runs with --nocheck.

-o
    Set the output directory for the rebuilt packages. Defaults to ./build.

SEE ALSO

makepkg(8) repro.conf(5)